curl --request GET \
--url https://api.example.com/settings \
--header 'Authorization: Bearer <token>'{
"data_dir": "<string>",
"max_concurrent_runs": 123,
"web": {
"url": "<string>",
"auth": {
"provider": "github",
"allowed_usernames": [
"<string>"
]
}
},
"api": {
"base_url": "<string>",
"authentication_strategies": [
"jwt"
],
"tls": {
"cert": "<string>",
"key": "<string>",
"ca": "<string>"
}
},
"git": {
"provider": "github",
"app_id": "<string>",
"client_id": "<string>",
"slug": "<string>",
"author": {
"name": "<string>",
"email": "<string>"
},
"webhooks": {
"strategy": "tailscale_funnel"
}
},
"feature_flags": {
"session_sandboxes": true
},
"log": {
"level": "<string>"
},
"directory": "<string>",
"llm": {
"model": "claude-sonnet",
"provider": "anthropic",
"fallbacks": {}
},
"setup": {
"commands": [
"<string>"
],
"timeout_ms": 123
},
"sandbox": {
"provider": "daytona",
"preserve": true,
"devcontainer": true,
"daytona": {
"auto_stop_interval": 123,
"labels": {},
"snapshot": {
"name": "<string>",
"cpu": 123,
"memory": 123,
"disk": 123,
"dockerfile": "<string>"
},
"network": "block"
},
"exe": {
"image": "<string>"
},
"ssh": {
"destination": "<string>",
"working_directory": "<string>",
"config_file": "<string>"
},
"local": {
"worktree_mode": "clean"
},
"env": {}
},
"vars": {},
"checkpoint": {
"exclude_globs": [
"<string>"
]
},
"pull_request": {
"enabled": true,
"draft": true
},
"hooks": [
{
"event": "run_start",
"name": "<string>",
"command": "<string>",
"type": "command",
"url": "<string>",
"headers": {},
"allowed_env_vars": [
"<string>"
],
"tls": "verify",
"prompt": "<string>",
"model": "<string>",
"max_tool_rounds": 123,
"matcher": "<string>",
"blocking": true,
"timeout_ms": 123,
"sandbox": true
}
],
"assets": {
"include": [
"<string>"
]
}
}Returns the structured server configuration.
curl --request GET \
--url https://api.example.com/settings \
--header 'Authorization: Bearer <token>'{
"data_dir": "<string>",
"max_concurrent_runs": 123,
"web": {
"url": "<string>",
"auth": {
"provider": "github",
"allowed_usernames": [
"<string>"
]
}
},
"api": {
"base_url": "<string>",
"authentication_strategies": [
"jwt"
],
"tls": {
"cert": "<string>",
"key": "<string>",
"ca": "<string>"
}
},
"git": {
"provider": "github",
"app_id": "<string>",
"client_id": "<string>",
"slug": "<string>",
"author": {
"name": "<string>",
"email": "<string>"
},
"webhooks": {
"strategy": "tailscale_funnel"
}
},
"feature_flags": {
"session_sandboxes": true
},
"log": {
"level": "<string>"
},
"directory": "<string>",
"llm": {
"model": "claude-sonnet",
"provider": "anthropic",
"fallbacks": {}
},
"setup": {
"commands": [
"<string>"
],
"timeout_ms": 123
},
"sandbox": {
"provider": "daytona",
"preserve": true,
"devcontainer": true,
"daytona": {
"auto_stop_interval": 123,
"labels": {},
"snapshot": {
"name": "<string>",
"cpu": 123,
"memory": 123,
"disk": 123,
"dockerfile": "<string>"
},
"network": "block"
},
"exe": {
"image": "<string>"
},
"ssh": {
"destination": "<string>",
"working_directory": "<string>",
"config_file": "<string>"
},
"local": {
"worktree_mode": "clean"
},
"env": {}
},
"vars": {},
"checkpoint": {
"exclude_globs": [
"<string>"
]
},
"pull_request": {
"enabled": true,
"draft": true
},
"hooks": [
{
"event": "run_start",
"name": "<string>",
"command": "<string>",
"type": "command",
"url": "<string>",
"headers": {},
"allowed_env_vars": [
"<string>"
],
"tls": "verify",
"prompt": "<string>",
"model": "<string>",
"max_tool_rounds": 123,
"matcher": "<string>",
"blocking": true,
"timeout_ms": 123,
"sandbox": true
}
],
"assets": {
"include": [
"<string>"
]
}
}JWT bearer token issued by fabro-web. See the Authentication guide for details.
Server configuration
Structured server configuration mirroring ServerConfig.
Data directory path.
Maximum concurrent runs.
Web UI configuration.
Show child attributes
API server configuration.
Show child attributes
Git provider configuration.
Show child attributes
Feature flags.
Show child attributes
Logging configuration.
Show child attributes
Default working directory.
LLM provider and model settings.
Show child attributes
Setup commands run before the workflow.
Show child attributes
Sandbox execution environment settings.
Show child attributes
Default variable map.
Show child attributes
Checkpoint configuration for file exclusion.
Show child attributes
Pull request creation configuration.
Show child attributes
Show child attributes
Asset collection configuration.
Show child attributes